From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 15 February 2007<P>

Interesting essay on love;<BR>
<BR>
<BR>
<a href="http://www.dailykos.com/storyonly/2007/2/14/13717/8326">http://www.dailykos.com/storyonly/2007/2/14/13717/8326</a><BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 15 February 2007<P>

Kirk, you have made my Valentine's Day.  Thanks so much for the picks.  I am giddy.  I really am.  Congrats to all the front page picks!  Have a great week!!
<HR>
From: <a href="/blend/av.cgi?id=1758">annski808</a><BR>
Date: 15 February 2007<P>

Hi kirk thanks for the pick! and belated happy heart's day everyone 
<HR>
From: <a href="/blend/av.cgi?id=1348">blakey</a><BR>
Date: 15 February 2007<P>

Kirk, Thanks so much for the Front Page pick and congrats to all Front Page picks. Also, your heartzilla picture is awesome! That image pretty much wraps up how I perceive love &#150; it lets nothing stand in its way to get where it wants to be and leave a path of destruction in its wake leaving from where it was. 
<HR>
From: <a href="/blend/av.cgi?id=487">bp</a><BR>
Date: 15 February 2007<P>

Rennie   cupid?   cute<BR>
<BR>
bp
<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 15 February 2007<P>

Kirk, thanks for the picks for your Blender Digest. I've always enjoyed reading and submitting here for multiple reasons. After time dealing with Cupid?, I don't trust that tot! But, you see that I'm sure enough of myself, from that Exchange, to suffer his blows.<BR>
<BR>
Congrats to all the front pagers! Enjoyed the reads, on both Digest and new submissions, as somewhere along the way I get some inspiration to venture out with a submission(s) of my own.<BR>
<BR>
bp, thanks for that :). Hope all is well your direction ...... Rennie
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 15 February 2007<P>

hey rens... missed you tonite...  hope all is well for you.<BR>
<BR>
bk... hope all is ok your way too.
<HR>